Skip to navigation

Get Procedure by ID

Beta
Get a single Procedure by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

procedure_idstringRequired
ID of the Procedure.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptional
creatorobjectOptional
idstringOptional
latestProcedureFlowchartConfigVersionobject or nullOptional
A simplified view of the latest version of the flowchart config. This is the preferred way to access the latest flowchart config for procedures.
modifiedAtstringOptional
namestringOptional
procedureTypeenumOptional
Allowed values:
publishedProcedureFlowchartConfigVersionobject or nullOptional
A simplified view of the published version of the flowchart config. This is the preferred way to access the published flowchart config for procedures.
templateCollectionobjectOptional
webUrlstring or nullOptional
procedureFlowchartobject or nullOptionalDeprecated
Use latestProcedureFlowchartConfigVersion for the latest flowchart version and publishedProcedureFlowchartConfigVersion for the published flowchart version.

Errors

400
Procedure Get Request Bad Request Error
403
Procedure Get Request Forbidden Error
404
Procedure Get Request Not Found Error
429
Procedure Get Request Too Many Requests Error
500
Procedure Get Request Internal Server Error